@import "../styles/reponsive/responsive.scss";
@import "../styles/colours.scss";

.Contact {
  width: -moz-fit-content;
  background-image: url(https://res.cloudinary.com/dz3vpgd0m/image/upload/v1620050115/portfolio/assets/20210425205621_IMG_5339_cdu7ix.jpg);
  background-size: contain;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;

  &__Dark {
    height: 100vh;
    width: -moz-fit-content;
    background-image: url(https://res.cloudinary.com/dz3vpgd0m/image/upload/v1620050115/portfolio/assets/20210425205621_IMG_5339_cdu7ix.jpg);
    background-size: contain;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  &__Light {
    height: 100vh;
    width: -moz-fit-content;
    background-image: url(https://res.cloudinary.com/dz3vpgd0m/image/upload/v1621437212/portfolio/assets/IMG_5827_e7q9k8.jpg);
    background-size: contain;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }
  &__section {
    height: 100vh;
    > h3 {
      display: flex;
      margin-left: 1rem;
      margin: 0;
      padding: 1.2rem;
    }
    > form {
      margin-top: 4rem;
    }
  }
}

@include tablet {
  .Contact {
    &__section {
      justify-content: space-around;

      > h3 {
        display: flex;
        margin-left: 1rem;
        margin: 0;
        padding: 1.2rem;
      }
    }
  }
}
@include desktop {
  .Contact {
    &__section {
      align-items: flex-start;

      > h3 {
        display: flex;
        margin-left: 1rem;
        margin: 0;
        padding: 1.2rem;
      }
      > form {
        margin-top: 5%;
      }
    }
  }
}
@include large {
  .Contact {
    &__section {
      display: flex;
      justify-content: space-around;

      > h3 {
        display: flex;
        margin-left: 1rem;
        margin: 0;
        padding: 1.2rem;
        font-size: -webkit-xxx-large;
      }
      > form {
        margin-top: 5%;
      }
    }
  }
}
